/// <reference types="./phaser" />
import PlayScene from "../scenes/PlayScene";
export declare class PlayButton extends Phaser.GameObjects.Container {
    scene: PlayScene;
    playButton: Phaser.GameObjects.Image;
    shadow: Phaser.GameObjects.Image;
    pulseTween: Phaser.Tweens.Tween | undefined;
    buttonWidth: number;
    buttonHeight: number;
    constructor(scene: PlayScene);
    init(): void;
    positionOnMountain(): void;
    scaleToFit(): void;
    cleanup(): void;
    positionOnMountainStopButton(): void;
    onGameStart(): void;
    onGameOver(): void;
    onFlagsCollected(): void;
    show(): void;
    hide(): void;
    setButtonDisplaySize(width: number, height: number): void;
}
